-- Lulu88520
-- Script pour le chargeur Weidemann 1502
-- @date  20/05/2017
-- https://www.facebook.com/paulo5090r/

WEID1502 = {};

function WEID1502.prerequisitesPresent(specializations)
	  return true;
end;

function WEID1502:load(savegame)
self.manetteBras = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.manetteBras#index"));	
self.manetteGodet = Utils.indexToObject(self.components, getXMLString(self.xmlFile, "vehicle.manetteGodet#index"));	
end;

function WEID1502:delete()
end;

function WEID1502:readStream(streamId, connection)
end;

function WEID1502:writeStream(streamId, connection)
end;

function WEID1502:mouseEvent(posX, posY, isDown, isUp, button)
end;

function WEID1502:keyEvent(unicode, sym, modifier, isDown) 
end;

function WEID1502:update(dt)
		local rot1 = self.movingTools[1].lastRotSpeed;
		local rot2 = self.movingTools[2].lastRotSpeed;		
		
		if rot1~=0 then
			self.rota1 = math.rad(30)*rot1/0.000977;			
		else
			self.rota1 = 0;
		end;
		
		if rot2~=0 then
			self.rota2 = math.rad(30)*rot2/0.000977;
			
		else
			self.rota2 = 0;
		end;		
		
		setRotation(self.manetteBras, self.rota2, 0, 0);
		setRotation(self.manetteGodet, self.rota1, 0, 0);
end;

function WEID1502:updateTick(dt) 
end;

function WEID1502:draw() 
end;